| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::close (1 of 2 overloads)

Close the acceptor.

    void close();

This function is used to close the acceptor. Any asynchronous accept operations will be cancelled immediately.

A subsequent call to `open()` is required before the acceptor can again be used to again perform socket accept operations.

###### Exceptions

boost::system::system_error

  Thrown on failure.